Bug 1080227 - [abrt] minetest: script_error(): minetest killed by SIGABRT
Summary: [abrt] minetest: script_error(): minetest killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: minetest
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aleksandra Fedorova
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:965ed046d367fb450607af5b974...
Depends On: 1143774
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 00:43 UTC by Gerhard
Modified: 2015-06-29 19:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 19:40:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.14 KB, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: build_ids (3.68 KB, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: core_backtrace (17.19 KB, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: dso_list (7.88 KB, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: environ (1.32 KB, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: maps (40.90 KB, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: open_fds (388 bytes, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details
File: var_log_messages (987 bytes, text/plain)
2014-03-25 00:43 UTC, Gerhard
no flags Details

Description Gerhard 2014-03-25 00:43:15 UTC
Description of problem:
Tried to open the public server list

Version-Release number of selected component:
minetest-0.4.9-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        minetest
crash_function: script_error
executable:     /usr/bin/minetest
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #6 script_error at /usr/src/debug/minetest-0.4.9/src/script/common/c_internal.cpp:74
 #7 AsyncWorkerThread::worker_thread_main at /usr/src/debug/minetest-0.4.9/src/script/lua_api/l_async_events.cpp:327
 #8 JThread::TheThread at /usr/src/debug/minetest-0.4.9/src/jthread/pthread/jthread.cpp:203

Comment 1 Gerhard 2014-03-25 00:43:20 UTC
Created attachment 878263 [details]
File: backtrace

Comment 2 Gerhard 2014-03-25 00:43:22 UTC
Created attachment 878264 [details]
File: build_ids

Comment 3 Gerhard 2014-03-25 00:43:24 UTC
Created attachment 878265 [details]
File: cgroup

Comment 4 Gerhard 2014-03-25 00:43:26 UTC
Created attachment 878266 [details]
File: core_backtrace

Comment 5 Gerhard 2014-03-25 00:43:29 UTC
Created attachment 878267 [details]
File: dso_list

Comment 6 Gerhard 2014-03-25 00:43:33 UTC
Created attachment 878268 [details]
File: environ

Comment 7 Gerhard 2014-03-25 00:43:34 UTC
Created attachment 878269 [details]
File: limits

Comment 8 Gerhard 2014-03-25 00:43:37 UTC
Created attachment 878270 [details]
File: maps

Comment 9 Gerhard 2014-03-25 00:43:39 UTC
Created attachment 878271 [details]
File: open_fds

Comment 10 Gerhard 2014-03-25 00:43:41 UTC
Created attachment 878272 [details]
File: proc_pid_status

Comment 11 Gerhard 2014-03-25 00:43:43 UTC
Created attachment 878273 [details]
File: var_log_messages

Comment 12 Matthew Miller 2014-09-17 23:17:48 UTC
I suspect this has the same cause as bug #1143025

Comment 13 Matthew Miller 2014-09-18 00:10:37 UTC
Upstream: https://github.com/minetest/minetest/issues/1147

Comment 14 Fedora End Of Life 2015-05-29 11:21:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 19:40:51 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.